import * as actions from "../constants/actions/index";

const initialState = {
  tracks: [],
  track: [],
  currentTrack: {},
  playlist: [],
};

export default (
  state = initialState,
  { type, tracks, track, trackIndex, playlists }
) => {
  switch (type) {
    // case actions.SET_TRACK:
    //   return {
    //     ...state,
    //     track,
    //   };

    case actions.SET_TRACKS:
      return {
        ...state,
        tracks,
      };

    case actions.SET_CURRENT_TRACK:
      return {
        ...state,
        currentTrack: trackIndex,
      };

    case actions.CLEAR_TRACK_LIST:
      return {
        ...state,
        currentTrack: {},
        tracks: [],
      };

    case actions.SET_PLAYLISTS:
      return {
        ...state,
        playlists,
      };

    default:
      return { ...state };
  }
};
